import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const endUser = await conductor.endUsers.create({
companyName: 'Acme Inc.',
email: 'alice@acme.com',
sourceId: '12345678-abcd-abcd-example-1234567890ab',
});
console.log(endUser.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
end_user = conductor.end_users.create(
company_name="Acme Inc.",
email="alice@acme.com",
source_id="12345678-abcd-abcd-example-1234567890ab",
)
print(end_user.id)curl --request POST \
--url https://api.conductor.is/v1/end-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "Acme Inc.",
"sourceId": "12345678-abcd-abcd-example-1234567890ab",
"email": "alice@acme.com"
}
'
{
"id": "end_usr_1234567abcdefg",
"objectType": "end_user",
"createdAt": "2024-01-01T12:34:56.789Z",
"companyName": "Acme Inc.",
"sourceId": "12345678-abcd-abcd-example-1234567890ab",
"email": "bob@acme.com",
"integrationConnections": [
{
"id": "int_conn_1234567abcdefg",
"objectType": "integration_connection",
"createdAt": "2024-01-01T12:34:56.789Z",
"integrationSlug": "quickbooks_desktop",
"lastRequestAt": "2024-01-01T12:34:56.789Z",
"lastSuccessfulRequestAt": "2024-01-01T12:34:56.789Z"
}
]
}Create an end-user
Creates an end-user.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const endUser = await conductor.endUsers.create({
companyName: 'Acme Inc.',
email: 'alice@acme.com',
sourceId: '12345678-abcd-abcd-example-1234567890ab',
});
console.log(endUser.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
end_user = conductor.end_users.create(
company_name="Acme Inc.",
email="alice@acme.com",
source_id="12345678-abcd-abcd-example-1234567890ab",
)
print(end_user.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Body
The end-user's company name that will be shown elsewhere in Conductor.
"Acme Inc."
The end-user's unique identifier from your system. Maps users between your database and Conductor. Must be unique for each user. If you have only one user, you may use any string value.
"12345678-abcd-abcd-example-1234567890ab"
The end-user's email address for identification purposes. Setting this field will not cause any emails to be sent.
"alice@acme.com"
Response
Returns the end-user object after successful end-user creation.
The unique identifier for this end-user. You must save this value to your database because it is how you identify which of your users to receive your API requests.
"end_usr_1234567abcdefg"
The type of object. This value is always "end_user".
"end_user""end_user"
The date and time when this end-user record was created.
"2024-01-01T12:34:56.789Z"
The end-user's company name that will be shown elsewhere in Conductor.
"Acme Inc."
The end-user's unique identifier from your system. Maps users between your database and Conductor.
"12345678-abcd-abcd-example-1234567890ab"
The end-user's email address for identification purposes.
"bob@acme.com"
The end-user's integration connections.
Show child attributes
Show child attributes

